Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.dom
Class DOMEntityReference

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractEntity
              org.dom4j.tree.FlyweightEntity
                  org.dom4j.tree.DefaultEntity
                      org.dom4j.dom.DOMEntityReference

All Implemented Interfaces:
  Cloneable, Entity, EntityReference, Node, Node, Serializable

public class DOMEntityReference
extends DefaultEntity
implements EntityReference

`DOMEntity` implements a Entity node which supports the W3C DOM API.

Version:
  $Revision: 1.12 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.tree.FlyweightEntity
`name, text`

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`DOMEntityReference(Element parent, String name, String text)`
`DOMEntityReference(String name)`
`DOMEntityReference(String name, String text)`

Method Summary
`Node` | `appendChild(Node newChild)`
`Node` | `cloneNode(boolean deep)`
`NamedNodeMap` | `getAttributes()`
`NodeList` | `getChildNodes()`
`Node` | `getFirstChild()`
`Node` | `getLastChild()`
`String` | `getLocalName()`
`String` | `getNamespaceURI()`
`Node` | `getNextSibling()`
`String` | `getNodeName()`
`String` | `getNodeValue()`
`Document` | `getOwnerDocument()`
`Node` | `getParentNode()`
`String` | `getPrefix()`
`Node` | `getPreviousSibling()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `insertBefore(Node newChild, Node refChild)`
`boolean` | `isSupported(String feature, String version)`
`void` | `normalize()`
`Node` | `removeChild(Node oldChild)`
`Node` | `replaceChild(Node newChild, Node oldChild)`
`void` | `setNodeValue(String nodeValue)`
`void` | `setPrefix(String prefix)`
`boolean` | `supports(String feature, String version)`

Methods inherited from class org.dom4j.tree.DefaultEntity
`getParent, isReadOnly, setName, setParent, setText, supportsParent`

Methods inherited from class org.dom4j.tree.FlyweightEntity
`createXPathResult, getName, getText`

Methods inherited from class org.dom4j.tree.AbstractEntity
`accept, asXML, getNodeType, getPath, getStringValue, getUniquePath, toString, write`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, clone, createPattern, createXPath, createXPathFilter, detach, getDocument, getDocumentFactory, getNodeTypeName, getPath, getUniquePath, hasContent, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`getNodeType`

Methods inherited from interface org.dom4j.Node
`asXPathResult, clone, createXPath, detach, getDocument, getNodeTypeName, getPath, getUniquePath, hasContent, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, valueOf`

Constructor Detail

### DOMEntityReference

    public DOMEntityReference(String name)

### DOMEntityReference

    public DOMEntityReference(String name,
                              String text)

### DOMEntityReference

    public DOMEntityReference(Element parent,
                              String name,
                              String text)

Method Detail

### supports

    public boolean supports(String feature,
                            String version)

### getNamespaceURI

    public String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `Node`

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `Node`

### setPrefix

    public void setPrefix(String prefix)
                   throws DOMException

  Specified by:
    `setPrefix` in interface `Node`
  Throws:
    `DOMException`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `Node`

### getNodeName

    public String getNodeName()

  Specified by:
    `getNodeName` in interface `Node`

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  Specified by:
    `getNodeValue` in interface `Node`
  Throws:
    `DOMException`

### setNodeValue

    public void setNodeValue(String nodeValue)
                      throws DOMException

  Specified by:
    `setNodeValue` in interface `Node`
  Throws:
    `DOMException`

### getParentNode

    public Node getParentNode()

  Specified by:
    `getParentNode` in interface `Node`

### getChildNodes

    public NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `Node`

### getFirstChild

    public Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `Node`

### getLastChild

    public Node getLastChild()

  Specified by:
    `getLastChild` in interface `Node`

### getPreviousSibling

    public Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `Node`

### getNextSibling

    public Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `Node`

### getAttributes

    public NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `Node`

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `Node`

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Specified by:
    `insertBefore` in interface `Node`
  Throws:
    `DOMException`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Specified by:
    `replaceChild` in interface `Node`
  Throws:
    `DOMException`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Specified by:
    `removeChild` in interface `Node`
  Throws:
    `DOMException`

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Specified by:
    `appendChild` in interface `Node`
  Throws:
    `DOMException`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `Node`

### cloneNode

    public Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `Node`

### normalize

    public void normalize()

  Specified by:
    `normalize` in interface `Node`

### isSupported

    public boolean isSupported(String feature,
                               String version)

  Specified by:
    `isSupported` in interface `Node`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `Node`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.